Skip to main content
POST
/
api
/
v1
/
projects
/
{projectUuid}
/
virtualViews
/
{slug}
/
code
Error
A valid request URL is required to generate request examples
{
  "results": {
    "action": "create"
  },
  "status": "ok"
}
{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}

Path Parameters

projectUuid
string
required
slug
string
required

Query Parameters

force
boolean
default:false

Body

application/json
parameters
object | null
required

Construct a type with a set of properties K of type T

columns
object[]
required
sql
string
required
name
string
required

Mutable display label.

slug
string
required

Immutable project-scoped explore name used by downstream content.

version
number<double>
required
contentType
enum<string>
required
Available options:
virtual_view

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok